| Openscape Voice V10 - SOAP Interface Documentation

Classes | Enumerations | Functions
Background Job

Background Job Definitions and Methods. More...

## Classes
struct | unsp__JobResultEntry
| Job Result Entry. More...
struct | unsp__JobResultList
| Job Result List. More...
struct | unsp__GetJobInfoResult
| Get Job Information result. More...
struct | unsp__GetJobListOptionEntry
| Get Job Option Entry. More...
struct | unsp__GetJobListOptionList
| Get Job Option List. More...
struct | unsp__GetJobListOptions
| Get Job List Options. More...
struct | unsp__GetJobListEntry
| Get Job List Entry. More...
struct | unsp__GetJobListData
| Get Job List data. More...
struct | unsp__GetJobListResult
| Get Job Information result. More...
struct | unsp__GetJobInfoRequest
| Get Job Information request. More...
struct | unsp__GetJobListByOptionRequest
| get Job Information by Option request. More...
struct | unsp__CancelJobRequest
| Cancel Job request. More...
struct | unsp__CancelJobResult
| Cancel Job result. More...
struct | unsp__GenericJobRequest
| Generic Job request. More...
struct | unsp__GenericJobResult
| Generic Job result. More...

## Enumerations
enum | unsp__ObjectType { BG, DN, FP, QP, LOG, GENERIC, EZIP, DBS }
| The type of object for which this job has been submitted. More...
enum | unsp__JobStatus { Waiting, InProgress, Complete, Canceled, Partial, Error }
| The status of a job. More...
enum | unsp__JobAction { AddFeature, RemoveFeature, UpdateFeature, RemoveCaleaEntry, UpdateMlhgMemberCaleaEntry, RemoveMlhgMemberCaleaEntry, UpdateBGDefaultQOSProfile, UpdateQOSProfile, AuditFeatureProfile, CollectLogFiles, GenericAuditHomeDn, AccessEZIPParm, DeleteBGSuite }
| The action to be performed by a job. More...
enum | unsp__GetJobListOption { FilterByBgName, FilterByOperatorId, FilterByFpName }
| Specifies filter types in order to retrieve the list of desired jobs. More...

## Functions
int | unsp__GetJobInfo2 (struct unsp__GetJobInfoRequest GetJobInfoRequest, struct unsp__GetJobInfoResult *JobInfoResult)
| This method retrieves information for a particular job. More...
int | unsp__GetJobListByOption2 (struct unsp__GetJobListByOptionRequest GetJobListByOptionRequest, struct unsp__GetJobListResult *GetJobListResult)
| This method retrieves the list of Jobs based on filtering options. More...
int | unsp__CancelJob2 (struct unsp__CancelJobRequest CancelJobRequest, struct unsp__CancelJobResult *CancelJobResult)
| This method terminates the processing of the specified currently running or waiting job. More...
int | unsp__GenericJob (struct unsp__GenericJobRequest GenericJobRequest, struct unsp__GenericJobResult *GenericJobResult)
| This method supports submission of generic jobs. More...

## Detailed Description

Background Job Definitions and Methods.

The OpenScape Voice system supports background jobs in specific situations. Jobs are used for SOAP requests that require more processing time than a client will typically wait for. There are several types of requests that require more time than available; the most common involves updates to Feature Profiles, which may require the updating of several thousand subscribers. Upon receipt of this type of request, the OpenScape Voice system returns the JobId tag in the ResultCodeStruct. When this field is returned, it means that the request has been successfully received, validated, and applied to the Feature Profile and updates have been scheduled for the affected subscribers. The status of the job may be obtained using the GetJobInfo method and a list of existing jobs may be obtained using the GetJobList method. The CancelJob method may be used to terminate a running or waiting job.

## Enumeration Type Documentation

## ◆ unsp__GetJobListOption

enum unsp__GetJobListOption

Specifies filter types in order to retrieve the list of desired jobs.

Enumerator
FilterByBgName | Filter by Business Group Name.
FilterByOperatorId | Filter by Operator ID.
FilterByFpName | Filter by Feature Profile Name.

## ◆ unsp__JobAction

enum unsp__JobAction

The action to be performed by a job.

Enumerator
AddFeature | Add Feature.
RemoveFeature | Remove Feature.
UpdateFeature | Update feature.
RemoveCaleaEntry | Remove Calea entry.
UpdateMlhgMemberCaleaEntry | Update MLHG Member Calea Entry.
RemoveMlhgMemberCaleaEntry | Remove MLHG Member Calea Entry.
UpdateBGDefaultQOSProfile | Deprecated: NA
UpdateQOSProfile | Deprecated: NA
AuditFeatureProfile | Deprecated: NA
CollectLogFiles | Collect log files.
GenericAuditHomeDn | Generic Audit Home DN.
AccessEZIPParm | Access EZIP Parameter.
DeleteBGSuite | DeleteBGSuite.

## ◆ unsp__JobStatus

enum unsp__JobStatus

The status of a job.

Enumerator
Waiting | Waiting.
InProgress | In Progress.
Complete | Complete.
Canceled | Canceled by the administrator.
Partial | Partial.
Error | An Error has occurred.

## ◆ unsp__ObjectType

enum unsp__ObjectType

The type of object for which this job has been submitted.

Enumerator
BG | Business Group.
DN | Subscriber.
FP | Feature Profile.
QP | Deprecated: NA
LOG | Log File.
GENERIC | Generic Object.
EZIP | EZIP Parameter.
DBS | DeleteBGSuite.

## Function Documentation

## ◆ unsp__CancelJob2()

unsp__CancelJob2 | ( | struct unsp__CancelJobRequest | CancelJobRequest,
|  | struct unsp__CancelJobResult * | CancelJobResult
| ) |  |

This method terminates the processing of the specified currently running or waiting job.

Parameters

  CancelJobRequest | API request
  CancelJobResult | API result

## ◆ unsp__GenericJob()

unsp__GenericJob | ( | struct unsp__GenericJobRequest | GenericJobRequest,
|  | struct unsp__GenericJobResult * | GenericJobResult
| ) |  |

This method supports submission of generic jobs.

Parameters

  GenericJobRequest | API request
  GenericJobResult | API result

## ◆ unsp__GetJobInfo2()

unsp__GetJobInfo2 | ( | struct unsp__GetJobInfoRequest | GetJobInfoRequest,
|  | struct unsp__GetJobInfoResult * | JobInfoResult
| ) |  |

This method retrieves information for a particular job.

Parameters

  GetJobInfoRequest | API request
  JobInfoResult | API result

## ◆ unsp__GetJobListByOption2()

unsp__GetJobListByOption2 | ( | struct unsp__GetJobListByOptionRequest | GetJobListByOptionRequest,
|  | struct unsp__GetJobListResult * | GetJobListResult
| ) |  |

This method retrieves the list of Jobs based on filtering options.

Parameters

  GetJobListByOptionRequest | API request
  GetJobListResult | API result